Subject: Re: bug#16395: Tab-containing lines displayed with different background?

From: Jarosław Rzeszótko <[email-masked]>
Date: Thu, 9 Jan 2014 11:01:17 +0100

Hi,

I reproduced it now with Emacs 24.3.50.1. It's the same with emacs -Q,
it does not change when changing the gtk+ theme, the one external
thing I thought might maybe influence this. I am just running a new
emacs session, using customize-face on the "default" face, setting
background to #151515, foreground to #ffffff, and opening a file where
some lines are empty and some lines have a bunch of tabs (I mean the
"hard" tab character, not just a bunch of spaces) and some text in
them. The difference is background might not be easily noticable but
it is there. It's similar for other dark background, the tabs+text
lines get different background than empty lines.

Cheers,
Jarosław Rzeszótko

2014/1/8 Jan Djärv <[email-masked]>:
> Hello.
>
> 2014-01-07 20:29, Jarosław Rzeszótko skrev:
>>
>> Hi,
>>
>> - Open up current bzr emacs --no-init, without any .Xresources, using
>> gtk+3
>>
>> - Customize default face to background #151515
>>
>> - Open a new text file
>>
>> - Insert a few empty lines
>>
>> - Insert a few lines starting with a few tabs and some text
>>
>> - The lines without text get a #141414 background, only the lines with
>> text get #151515, on a good display there are noticeable "stripes"
>>
>> Pretty strange...
>
>
> I can't reproduce this.  Can you please include the information from
> report-emacs-bug?  You don't mention the Emacs version.
> Also, does this happen with -Q?
> #151515 is pretty dark, so are you using the default foreground black?
> Texts are almost unreadable this way.  So I suspect you are not running
> vanilla Emacs, but have some customizations.
>
>         Jan D.
>
>